Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.demo
Class Demonstrator

    java.lang.Object
      |
      +--org.netbeans.jemmy.demo.Demonstrator

public class Demonstrator
extends java.lang.Object

Class to display step comments.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Constructor Summary
`Demonstrator()`

Method Summary
`static void` | `nextStep(java.lang.String stepComment)` Notifies current CommentWindow implementation to display comments for a new step.
`static void` | `setCommentWindow(CommentWindow cw)` Changes current CommentWindow.
`static void` | `setTitle(java.lang.String title)` Notifies current CommentWindow implementation to change title.
`static void` | `showFinalComment(java.lang.String stepComment)` Notifies current CommentWindow implementation to display final comments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Demonstrator

    public Demonstrator()

Method Detail

### setTitle

    public static void setTitle(java.lang.String title)

  Notifies current CommentWindow implementation to change title.
  Parameters:
    `title` - new CommentWindow's title

### setCommentWindow

    public static void setCommentWindow(CommentWindow cw)

  Changes current CommentWindow.
  Parameters:
    `cw` - CommentWindow instance.

### nextStep

    public static void nextStep(java.lang.String stepComment)

  Notifies current CommentWindow implementation to display comments for a new step.
  Parameters:
    `stepComment` - New step comments

### showFinalComment

    public static void showFinalComment(java.lang.String stepComment)

  Notifies current CommentWindow implementation to display final comments.
  Parameters:
    `stepComment` - New step comments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD